[arch-commits] Commit in nodejs/repos (4 files)

Felix Yan felixonmars at archlinux.org
Wed Mar 29 07:47:59 UTC 2017


    Date: Wednesday, March 29, 2017 @ 07:47:58
  Author: felixonmars
Revision: 219780

archrelease: copy trunk to community-testing-i686, community-testing-x86_64

Added:
  nodejs/repos/community-testing-i686/PKGBUILD
    (from rev 219779, nodejs/trunk/PKGBUILD)
  nodejs/repos/community-testing-x86_64/PKGBUILD
    (from rev 219779, nodejs/trunk/PKGBUILD)
Deleted:
  nodejs/repos/community-testing-i686/PKGBUILD
  nodejs/repos/community-testing-x86_64/PKGBUILD

-----------------------------------+
 /PKGBUILD                         |  144 ++++++++++++++++++++++++++++++++++++
 community-testing-i686/PKGBUILD   |   72 ------------------
 community-testing-x86_64/PKGBUILD |   72 ------------------
 3 files changed, 144 insertions(+), 144 deletions(-)

Deleted: community-testing-i686/PKGBUILD
===================================================================
--- community-testing-i686/PKGBUILD	2017-03-29 07:47:33 UTC (rev 219779)
+++ community-testing-i686/PKGBUILD	2017-03-29 07:47:58 UTC (rev 219780)
@@ -1,72 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: James Campos <james.r.campos at gmail.com>
-# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
-# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
-# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
-# Contributor: TIanyi Cui <tianyicui at gmail.com>
-
-pkgname=nodejs
-pkgver=7.7.4
-pkgrel=1
-pkgdesc='Evented I/O for V8 javascript'
-arch=('i686' 'x86_64')
-url='http://nodejs.org/'
-license=('MIT')
-depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser' 'c-ares') # 'v8')
-makedepends=('python2' 'procps-ng' 'git')
-optdepends=('npm: nodejs package manager')
-source=("nodejs::git+https://github.com/nodejs/node.git#tag=v$pkgver")
-sha256sums=('SKIP')
-
-prepare() {
-  cd nodejs
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
-    -e 's_^#!/usr/bin/env python$_&2_' \
-    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
-    -e 's_^#!/usr/bin/python$_&2_' \
-    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
-    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
-    -e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd nodejs
-
-  export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
-  export PYTHON=python2
-  ./configure \
-    --prefix=/usr \
-    --with-intl=system-icu \
-    --without-npm \
-    --shared-openssl \
-    --shared-zlib \
-    --shared-libuv \
-    --shared-http-parser \
-    --shared-cares
-    # --shared-v8
-
-  make
-}
-
-check() {
-  cd nodejs
-  # Expected failure: https://github.com/nodejs/node/issues/11627
-  make test || warning "Tests failed"
-}
-
-package() {
-  cd nodejs
-
-  make DESTDIR="$pkgdir" install
-
-  install -D -m644 LICENSE \
-    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
-}
-
-# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-testing-i686/PKGBUILD (from rev 219779, nodejs/trunk/PKGBUILD)
===================================================================
--- community-testing-i686/PKGBUILD	                        (rev 0)
+++ community-testing-i686/PKGBUILD	2017-03-29 07:47:58 UTC (rev 219780)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=7.8.0
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser' 'c-ares') # 'v8')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+source=("nodejs-$pkgver.tar.gz::https://github.com/nodejs/node/archive/v$pkgver.tar.gz")
+sha256sums=('b5836069ffaa84d8000ea579b8b1f97602eaa8c4883153f718758a4f3da9a4d8')
+
+prepare() {
+  cd node-$pkgver
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-$pkgver
+
+  export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --with-intl=system-icu \
+    --without-npm \
+    --shared-openssl \
+    --shared-zlib \
+    --shared-libuv \
+    --shared-http-parser \
+    --shared-cares
+    # --shared-v8
+
+  make
+}
+
+check() {
+  cd node-$pkgver
+  # Expected failure: https://github.com/nodejs/node/issues/11627
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  install -D -m644 LICENSE \
+    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-testing-x86_64/PKGBUILD
===================================================================
--- community-testing-x86_64/PKGBUILD	2017-03-29 07:47:33 UTC (rev 219779)
+++ community-testing-x86_64/PKGBUILD	2017-03-29 07:47:58 UTC (rev 219780)
@@ -1,72 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: James Campos <james.r.campos at gmail.com>
-# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
-# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
-# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
-# Contributor: TIanyi Cui <tianyicui at gmail.com>
-
-pkgname=nodejs
-pkgver=7.7.4
-pkgrel=1
-pkgdesc='Evented I/O for V8 javascript'
-arch=('i686' 'x86_64')
-url='http://nodejs.org/'
-license=('MIT')
-depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser' 'c-ares') # 'v8')
-makedepends=('python2' 'procps-ng' 'git')
-optdepends=('npm: nodejs package manager')
-source=("nodejs::git+https://github.com/nodejs/node.git#tag=v$pkgver")
-sha256sums=('SKIP')
-
-prepare() {
-  cd nodejs
-
-  msg 'Fixing for python2 name'
-  find -type f -exec sed \
-    -e 's_^#!/usr/bin/env python$_&2_' \
-    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
-    -e 's_^#!/usr/bin/python$_&2_' \
-    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
-    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
-    -e "s_'python'_'python2'_" -i {} \;
-  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
-}
-
-build() {
-  cd nodejs
-
-  export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
-  export PYTHON=python2
-  ./configure \
-    --prefix=/usr \
-    --with-intl=system-icu \
-    --without-npm \
-    --shared-openssl \
-    --shared-zlib \
-    --shared-libuv \
-    --shared-http-parser \
-    --shared-cares
-    # --shared-v8
-
-  make
-}
-
-check() {
-  cd nodejs
-  # Expected failure: https://github.com/nodejs/node/issues/11627
-  make test || warning "Tests failed"
-}
-
-package() {
-  cd nodejs
-
-  make DESTDIR="$pkgdir" install
-
-  install -D -m644 LICENSE \
-    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
-}
-
-# vim:set ts=2 sw=2 et:

Copied: nodejs/repos/community-testing-x86_64/PKGBUILD (from rev 219779, nodejs/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2017-03-29 07:47:58 UTC (rev 219780)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: James Campos <james.r.campos at gmail.com>
+# Contributor: BlackEagle < ike DOT devolder AT gmail DOT com >
+# Contributor: Dongsheng Cai <dongsheng at moodle dot com>
+# Contributor: Masutu Subric <masutu.arch at googlemail dot com>
+# Contributor: TIanyi Cui <tianyicui at gmail.com>
+
+pkgname=nodejs
+pkgver=7.8.0
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript'
+arch=('i686' 'x86_64')
+url='http://nodejs.org/'
+license=('MIT')
+depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser' 'c-ares') # 'v8')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+source=("nodejs-$pkgver.tar.gz::https://github.com/nodejs/node/archive/v$pkgver.tar.gz")
+sha256sums=('b5836069ffaa84d8000ea579b8b1f97602eaa8c4883153f718758a4f3da9a4d8')
+
+prepare() {
+  cd node-$pkgver
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-$pkgver
+
+  export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --with-intl=system-icu \
+    --without-npm \
+    --shared-openssl \
+    --shared-zlib \
+    --shared-libuv \
+    --shared-http-parser \
+    --shared-cares
+    # --shared-v8
+
+  make
+}
+
+check() {
+  cd node-$pkgver
+  # Expected failure: https://github.com/nodejs/node/issues/11627
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  install -D -m644 LICENSE \
+    "$pkgdir"/usr/share/licenses/nodejs/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:


More information about the arch-commits mailing list